Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.aggregates
Class RowRecordsAggregate

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.aggregates.RowRecordsAggregate

public class RowRecordsAggregate
extends Record

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Constructor Summary
`RowRecordsAggregate()` Creates a new instance of ValueRecordsAggregate

Method Summary
`java.lang.Object` | `clone()` Performs a deep clone of the record
`void` | `collapseRow(int rowNumber)`
`static RowRecord` | `createRow(int row)` Create a row record.
`void` | `expandRow(int rowNumber)`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`int` | `findEndOfRowOutlineGroup(int row)`
`int` | `findStartOfRowOutlineGroup(int row)`
`int` | `getFirstRowNum()`
`java.util.Iterator` | `getIterator()`
`int` | `getLastRowNum()`
`int` | `getPhysicalNumberOfRows()`
`int` | `getRecordSize()` gives the current serialized size of the record.
`RowRecord` | `getRow(int rownum)`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `insertRow(RowRecord row)`
`boolean` | `isRowGroupCollapsed(int row)`
`boolean` | `isRowGroupHiddenByParent(int row)`
`void` | `removeRow(RowRecord row)`
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`protected void` | `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.
`int` | `writeHidden(RowRecord rowRecord, int row, boolean hidden)`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowRecordsAggregate

    public RowRecordsAggregate()

  Creates a new instance of ValueRecordsAggregate

Method Detail

### insertRow

    public void insertRow(RowRecord row)

### removeRow

    public void removeRow(RowRecord row)

### getRow

    public RowRecord getRow(int rownum)

### getPhysicalNumberOfRows

    public int getPhysicalNumberOfRows()

### getFirstRowNum

    public int getFirstRowNum()

### getLastRowNum

    public int getLastRowNum()

### serialize

    public int serialize(int offset,
                         byte[] data)

  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - offset to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### validateSid

    protected void validateSid(short id)

  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### getSid

    public short getSid()

  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getIterator

    public java.util.Iterator getIterator()

### clone

    public java.lang.Object clone()

  Performs a deep clone of the record

  Overrides:
    `clone` in class `Record`

### findStartOfRowOutlineGroup

    public int findStartOfRowOutlineGroup(int row)

### findEndOfRowOutlineGroup

    public int findEndOfRowOutlineGroup(int row)

### writeHidden

    public int writeHidden(RowRecord rowRecord,
                           int row,
                           boolean hidden)

### collapseRow

    public void collapseRow(int rowNumber)

### createRow

    public static RowRecord createRow(int row)

  Create a row record.

  Parameters:
    `row` - number
  Returns:
    RowRecord created for the passed in row number
  See Also:
    `RowRecord`

### isRowGroupCollapsed

    public boolean isRowGroupCollapsed(int row)

### expandRow

    public void expandRow(int rowNumber)

### isRowGroupHiddenByParent

    public boolean isRowGroupHiddenByParent(int row)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.